GLFW

- Documentation
- Download
- Community

Macros
Joysticks
Input reference

## Description

See joystick input for how these are used.

## Macros
#define | GLFW_JOYSTICK_1 0
#define | GLFW_JOYSTICK_2 1
#define | GLFW_JOYSTICK_3 2
#define | GLFW_JOYSTICK_4 3
#define | GLFW_JOYSTICK_5 4
#define | GLFW_JOYSTICK_6 5
#define | GLFW_JOYSTICK_7 6
#define | GLFW_JOYSTICK_8 7
#define | GLFW_JOYSTICK_9 8
#define | GLFW_JOYSTICK_10 9
#define | GLFW_JOYSTICK_11 10
#define | GLFW_JOYSTICK_12 11
#define | GLFW_JOYSTICK_13 12
#define | GLFW_JOYSTICK_14 13
#define | GLFW_JOYSTICK_15 14
#define | GLFW_JOYSTICK_16 15
#define | GLFW_JOYSTICK_LAST GLFW_JOYSTICK_16

## Macro Definition Documentation

## ◆ GLFW_JOYSTICK_1

#define GLFW_JOYSTICK_1 0

## ◆ GLFW_JOYSTICK_2

#define GLFW_JOYSTICK_2 1

## ◆ GLFW_JOYSTICK_3

#define GLFW_JOYSTICK_3 2

## ◆ GLFW_JOYSTICK_4

#define GLFW_JOYSTICK_4 3

## ◆ GLFW_JOYSTICK_5

#define GLFW_JOYSTICK_5 4

## ◆ GLFW_JOYSTICK_6

#define GLFW_JOYSTICK_6 5

## ◆ GLFW_JOYSTICK_7

#define GLFW_JOYSTICK_7 6

## ◆ GLFW_JOYSTICK_8

#define GLFW_JOYSTICK_8 7

## ◆ GLFW_JOYSTICK_9

#define GLFW_JOYSTICK_9 8

## ◆ GLFW_JOYSTICK_10

#define GLFW_JOYSTICK_10 9

## ◆ GLFW_JOYSTICK_11

#define GLFW_JOYSTICK_11 10

## ◆ GLFW_JOYSTICK_12

#define GLFW_JOYSTICK_12 11

## ◆ GLFW_JOYSTICK_13

#define GLFW_JOYSTICK_13 12

## ◆ GLFW_JOYSTICK_14

#define GLFW_JOYSTICK_14 13

## ◆ GLFW_JOYSTICK_15

#define GLFW_JOYSTICK_15 14

## ◆ GLFW_JOYSTICK_16

#define GLFW_JOYSTICK_16 15

## ◆ GLFW_JOYSTICK_LAST

#define GLFW_JOYSTICK_LAST GLFW_JOYSTICK_16